IIO_STRESSTEST(1)

NAME
iio_stresstest - benchmark and test data moving speeds of libiio and device

DESCRIPTION

  Usage:

iio_stresstest [OPTION]...
    [-n <hostname>] [-u <vid>:<pid>] [-t <trigger>] [-b <buffer-size>] [-s <samples>]<iio_device> [<channel> ...]

OPTIONS

-h, --help
    Show this help and quit.

-x, --xml [arg]
    Use the XML backend with the provided XML file.

-u, --uri [arg]
    Use the context at the provided URI. eg: 'ip:192.168.2.1', 'ip:pluto.local', or 'ip:'

'usb:1.2.3', or 'usb:'
    'serial:/dev/ttyUSB0,115200,8n1' 'local:' (Linux only)

-S, --scan <arg>
    Scan for available backends. optional arg of specific backend(s)

    'ip', 'usb' or 'ip:usb'

-a, --auto <arg>
    Scan for available contexts and if a single context is available use it. <arg> filters backend(s)

    'ip', 'usb' or 'ip:usb:'

-T, --timeout [arg]
    Context timeout in milliseconds. 0 = no timeout (wait forever)

-h, --help
    Show this help and quit.

-u, --uri [arg]
    Use the context at the provided URI.

-b, --buffer-size [arg]
    Size of the capture buffer. Default is 256.

-s, --samples [arg]
    Number of samples to capture, 0 = infinite. Default is 0.

-T, --Timeout [arg]
    Time to wait (in s) between stopping all threads

-t, --threads [arg]
    Number of Threads

-v, --verbose
    Increase verbosity (-vv and -vvv for more)

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.